[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.EditorDoGetValue

EditorDoGetValue gets the value used in the editor for the control.

## Declaration

Source position: dbgrids.pas line 452

`protected procedure TCustomDBGrid.EditorDoGetValue; override;`

## Description

EditorDoGetValue is an overridden procedure used to get the value used in the editor for the control. EditorDoGetValue calls the inherited EditorDoGetValue method. UpdateData is called to retrieve the value for the editor from its column in the underlying dataset.

## See also

TCustomGrid.EditorDoGetValue |  | Gets the value for the cell Editor.